Skip to main content
GET
/
marketing
/
marketing-events
/
2026-03
/
{objectId}
cURL
curl --request GET \
  --url https://api.hubapi.com/marketing/marketing-events/2026-03/{objectId} \
  --header 'Authorization: Bearer <token>'
{
  "createdAt": "2023-11-07T05:31:56Z",
  "customProperties": [
    {
      "name": "<string>",
      "value": "<string>"
    }
  ],
  "eventName": "<string>",
  "objectId": "<string>",
  "updatedAt": "2023-11-07T05:31:56Z",
  "appInfo": {
    "id": "<string>",
    "name": "<string>"
  },
  "attendees": 123,
  "cancellations": 123,
  "endDateTime": "2023-11-07T05:31:56Z",
  "eventCancelled": true,
  "eventCompleted": true,
  "eventDescription": "<string>",
  "eventOrganizer": "<string>",
  "eventStatus": "<string>",
  "eventStatusV2": "<string>",
  "eventType": "<string>",
  "eventUrl": "<string>",
  "externalEventId": "<string>",
  "noShows": 123,
  "registrants": 123,
  "startDateTime": "2023-11-07T05:31:56Z"
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

objectId
string
required

The internal id of the marketing event in HubSpot.

Response

successful operation

createdAt
string<date-time>
required

The creation date and time of the marketing event

customProperties
object[]
required
eventName
string
required

The name of the marketing event

objectId
string
required

The internal ID of the marketing event in HubSpot

updatedAt
string<date-time>
required

The update date and time of the marketing event

appInfo
object
attendees
integer<int32>

Number of attended contact records of a marketing event

cancellations
integer<int32>

Number of cancelled contact records of a marketing event

endDateTime
string<date-time>

The end date and time of the marketing event

eventCancelled
boolean

Indicates if the marketing event has been cancelled

eventCompleted
boolean

Indicates if the marketing event has been completed

eventDescription
string

The description of the marketing event

eventOrganizer
string

The name of the organizer of the marketing event

eventStatus
string

The status of the marketing event

eventStatusV2
string
eventType
string

The type of the marketing event

eventUrl
string

A URL in the external event application where the marketing event can be managed

externalEventId
string

The ID that is associated with this marketing event in the external event application

noShows
integer<int32>

Number of no-show contact records of a marketing event

registrants
integer<int32>

Number of registered contact records of a marketing event

startDateTime
string<date-time>

The start date and time of the marketing event

Last modified on April 1, 2026